Difference between revisions of "Oggenc"

From ArchWiki
Jump to: navigation, search
m
(Deletion proposed)
(19 intermediate revisions by 6 users not shown)
Line 1: Line 1:
== Command Line ==
+
[[Category:Audio/Video]]
{{Stub}}
+
{{Deletion|Stub, outdated, ffmpeg does the job btw.}}
The standard Ogg Vorbis encoder oggenc(1) in the vorbis-tools package can be used with FLAC input.
+
  
oggenc foo.flac
+
'''Oggenc''' is the official [https://wiki.xiph.org/Vorbis Ogg Vorbis] encoder. It reads audio data in either WAV, FLAC, RAW, or AIFF format and encodes it into an [[Wikipedia:Ogg Vorbis|Ogg Vorbis]] stream. Although [[FFmpeg]] can encode Ogg Vorbis with the {{pkg|libvorbis}} library, it has fewer encoding options and can be considered broken (see: [http://xiphmont.livejournal.com/51160.html Ogg and WebM technical alert]).
  
This will produce foo.ogg.
+
== Installation ==
 +
[[pacman|Install]] the {{pkg|vorbis-tools}} package from the [[Official Repositories|official repositories]] or install a [[Python]] alternative, {{AUR|fastoggenc}}, found in the [[Arch User Repository|AUR]].
  
Another option is soundconverter.
+
== See also ==
 
+
* [https://wiki.xiph.org/Vorbis_Encoders List of Vorbis Encoders] on the Xiph.org Foundation Wiki
== GUI ==
+
* [http://soundconverter.org/ Soundconverter] ([[GTK+]])
 
+
* [https://launchpad.net/soundkonverter Soundkonverter] ([[Qt]])
Nautilus the GNOME file manager can also convert FLAC to Ogg Vorbis.
+
* [[GNOME#Nautilus|Nautilus]] file manager can convert FLAC to Ogg Vorbis
 +
* [http://gnormalize.sourceforge.net/ Gnormalize] with {{Pkg|vorbis-tools}}

Revision as of 21:27, 31 May 2013

Tango-edit-cut.pngThis section is being considered for removal.Tango-edit-cut.png

Reason: Stub, outdated, ffmpeg does the job btw. (Discuss in Talk:Oggenc#)

Oggenc is the official Ogg Vorbis encoder. It reads audio data in either WAV, FLAC, RAW, or AIFF format and encodes it into an Ogg Vorbis stream. Although FFmpeg can encode Ogg Vorbis with the libvorbis library, it has fewer encoding options and can be considered broken (see: Ogg and WebM technical alert).

Installation

Install the vorbis-tools package from the official repositories or install a Python alternative, fastoggencAUR, found in the AUR.

See also